/***************************************************************************
 *   Copyright (C) 2004 by Diego 'Flameeyes' Petteno                       *
 *   dgp85@users.sourceforge.net                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <kmainwindow.h>
#include <klocale.h>
#include <kaction.h>
#include <kkeydialog.h>
#include <knotifydialog.h>
#include <kapplication.h>
#include <kedittoolbar.h>

#include "kdigest.h"
#include "kdigestwidget.h"

kdigest::kdigest()
    : KMainWindow( 0, "kdigest" )
{
	setXMLFile("kdigestui.rc");
	m_kdigestWidget = new kdigestWidget( this );
	setCentralWidget( m_kdigestWidget );
	
	KStdAction::keyBindings(this, SLOT( slotConfigureKeys() ), actionCollection() );
	KStdAction::configureNotifications(this, SLOT(slotConfigureNotifications()), actionCollection());
	KStdAction::configureToolbars(this, SLOT(slotConfigureToolBars()), actionCollection());
	KStdAction::quit(this, SLOT(close()), actionCollection());
	KStdAction::preferences(this, SLOT(slotPrefActivated()), actionCollection());
	
	createGUI();
}

kdigest::~kdigest()
{
	delete m_kdigestWidget;
}

//! Slot called when the user requests to configure shortcuts
void kdigest::slotConfigureKeys()
{
	KKeyDialog::configure( actionCollection(), this );
}

//! Slot called when the user requests to configure notifications
void kdigest::slotConfigureNotifications()
{
	KNotifyDialog::configure(this);
}

//! Slot called when the user requests to configure toolbars
void kdigest::slotConfigureToolBars()
{
	KEditToolbar dlg(actionCollection());
	if (dlg.exec())
		createGUI();
}

//! Slot called when the user requests to configure the program
void kdigest::slotPrefActivated()
{
}

#include "kdigest.moc"
